Package Details: qtadb 0.8.0-3

Git Clone URL: https://aur.archlinux.org/qtadb.git (read-only)
Package Base: qtadb
Description: GUI for Android SDK/ADB, Android phone manager
Upstream URL: http://qtadb.wordpress.com/
Licenses: custom:proprietary
Submitter: TomHetmer
Maintainer: max-k
Last Packager: max-k
Votes: 128
Popularity: 1.114425
First Submitted: 2010-10-15 22:19
Last Updated: 2015-09-28 20:44

Latest Comments

max-k commented on 2015-09-27 22:12

You're right. I'll do it tomorrow.

Freso commented on 2015-09-27 13:33

Since the $source array uses Subversion now, you should add "subversion" to the $makedepends.

max-k commented on 2015-04-01 08:11

Original sources are no longer available.
I based this package on sources available in sourceforge.
To make it work correctly, I made a rollback on version number.
Nevertheless, the sources seems to be the same.

usnow commented on 2015-03-31 19:19

http://motyczko.pl/qtadb/qtadb_src.tgz - this source is not available

fightcookie commented on 2015-03-17 15:15

For me everything works, so for future visitors, its worth a try ;) a nice tool :) You can also try aafm for an adb file manager.

For the maintainer, isn't it Apache licensed if you look in the sources?

fightcookie commented on 2015-03-17 15:10

For me everything works, so for future visitors, its worth a try ;) a nice tool :) You can also try aafm for an adb file manager.

Pontorez commented on 2014-09-07 15:43

qtadb built from 'official' tarball ("Download tarball" link) crashes with Segmentation fault error (I can see GUI appears on the fraction of a second and then the application closes).

If I build qtadb using PKGBUILD from http://pastebin.com/ZGaRZsmu and start qtadb, the GUI window appears to work fine, however the only functions that work are Screenshot and Phone info (I can see phone serial number there). All other functions (file manager, shell, installed apps list) don't work.

Pontorez commented on 2014-09-07 15:43

qtadb built from 'official' tarball ("Download tarball" link) crashes with Segmentation fault error (I can see GUI appears on the fraction of a second and then the application closes).
If I build qtadb using PKGBUILD from http://pastebin.com/ZGaRZsmu and start qtadb, the GUI window appear to work fine, however the only functions that work are Screenshot and Phone info (I can see phone serial number there). All other functions (file manager, shell, installed apps list) don't work.

snark.real commented on 2014-07-26 13:18

This package seems to be abandoned, but could be easily fixed with this PKGBUILD:
http://pastebin.com/ZGaRZsmu

jleclanche commented on 2014-07-21 07:41

Please replace the source path with the official one: http://motyczko.pl/qtadb/qtadb_src.tgz

dongfengweixiao commented on 2014-04-25 01:05

pls change android-sdk-platform-tools to community-testing/android-tools

7ymekk commented on 2014-04-15 17:47

Hey Gordin, could You replace sources path?:
http://motyczko.pl/qtadb/qtadb_src.tgz

I fixed the crash on start

Alister.Hood commented on 2014-04-11 01:54

Oh, maybe the problem is that my phone isn't rooted...

Alister.Hood commented on 2014-04-11 01:48

Crashes for me too. Does it currently work for anyone else?

evil-god commented on 2014-02-07 16:08

qtadb crash with Speicherzugriffsfehler (Speicherabzug geschrieben)

Gordin commented on 2013-08-13 16:43

@Asd325 should be fixed.

Azd325 commented on 2013-08-13 10:00

I got this if I try to install

-> Found qtadb.desktop
-> Found qtadb.png
==> Validating source files with sha256sums...
QtADB_0.8.1_src.zip ... FAILED
qtadb.desktop ... Passed
qtadb.png ... Passed
==> ERROR: One or more files did not pass the validity check!
==> ERROR: Makepkg was unable to build qtadb.
==> Restart building qtadb ? [y/N]

Anonymous comment on 2013-07-06 07:26

The src file, is not online any more.
Please switch to: http://qtadb.wordpress.com/download/

gyurman commented on 2013-03-01 18:58

main.cpp:21:30: fatal error: QtGui/QApplication: Nincs ilyen fájl vagy könyvtár
compilation terminated.
make: *** [main.o] Error 1
==> HIBA: Hiba történt a build()-ben.
Megszakítás...
==> ERROR: Makepkg was unable to build .

brcha commented on 2013-03-01 13:15

It's not that simple. Now plain qmake calls the Qt5 version, and for Qt4 you have to call qmake4.

Thus you should also change qmake -> qmake4 in the pkgbuild.

xgdgsc commented on 2013-03-01 11:27

Please replace `qt` with `qt4` from the depends array.
There's no more a 'qt' package in [extra].

felixonmars commented on 2013-02-28 02:30

Please replace `qt` with `qt4` from the depends array.
There's no more a 'qt' package in [testing] (and in the next days in [extra])

step-2 commented on 2012-08-05 07:35

couldnt git it to work , "refresh device"

Gordin commented on 2012-06-02 12:19

updated

Rotech commented on 2012-06-02 05:39

Need to update the source to http://motyczko.pl/qtadb/QtADB_0.8.1_src.zip

As per http://qtadb.wordpress.com/download/

Anonymous comment on 2012-05-29 02:33

got this:

-> Baixando QtADB_0.8.1_src...
Warning: Transient problem: timeout Will retry in 3 seconds. 3 retries left.
Warning: Transient problem: timeout Will retry in 3 seconds. 2 retries left.
Warning: Transient problem: timeout Will retry in 3 seconds. 1 retries left.
curl: (6) Could not resolve host: qtadb.com; Nome ou serviço desconhecido
==> ERRO: Falha enquanto baixava QtADB_0.8.1_src
Abortando...

Gordin commented on 2012-02-27 15:42

@TamCore hm... no probably not xD Should be fixed ^^

TamCore commented on 2012-02-27 15:16

(1/1) removing qtadb
==> qtadb.apk is located in /usr/share/qtadb if you need it.

really? :x

Gordin commented on 2012-02-03 04:42

@enderst thanks, the apk should be in the right place now

enderst commented on 2012-02-03 04:32

==> qtadb.apk is located in /usr/share/qtadb if you need it.

is actually at /usr/share/qtadb.apk

Gordin commented on 2011-12-10 22:58

@soloport why did you flag this as out-of-date? The PKGBUILD works and there is no newer version than 0.8.1

Gordin commented on 2011-08-31 18:35

updated to 0.8.1! With the source code released this is not a binary package any more :)

Also, the binary that is installed is now named 'qtadb' instead of 'QtADB' and there is a qtadb.apk located in /usr/share/qtadb that can be installed on your Android for some other features of QtADB.

archdria commented on 2011-08-30 00:17

0.8.1 is out and source code has been released with apache license :)

hellnest commented on 2011-03-11 17:26

Thanks guys. :)

Gordin commented on 2011-03-11 14:05

Thanks OldShatterhand, I'll put that in the PKGBUILD for now

OldShatterhand commented on 2011-03-11 13:41

hi,
i uploaded the files to my online storage and modified the URL's in the PKGBUILD. I know this is only a temporary solution but it works.
PKGBULD: http://pastebin.de/16022
Dont forget du download the tar.gz from AUR before, because you need the additional files there.

Yours Sincerely
OldShatterhand

Gordin commented on 2011-03-11 12:31

Looks like the links on mediafire keep changing, so as long as the files aren't hosted somewhere else, this package will be broken...

Anonymous comment on 2011-03-11 10:28

tried to fix the md5 bug, but every time I download the file and compute md5, I always get a new hash, so I think, the file is corrupt

Anonymous comment on 2011-03-11 09:50

md5sums is wrong on 64bit

Gordin commented on 2011-03-10 18:55

fixed! hopefully... I'm not sure if the links will work though, because the files are hosted on mediafire now...

hellnest commented on 2011-03-10 18:38

Not working

Gordin commented on 2011-02-27 14:28

updated! hope I got the architectures right this time :D

To use the SMS Manager you need to install this apk on your phone: https://sourceforge.net/projects/qtadb/files/QtADB%200.8.0/qtadb.apk/download

Anonymous comment on 2011-02-27 13:59

Latest version is: 0.8.0

Gordin commented on 2011-01-29 23:40

I now made a package that includes adb on top of android-sdk, this should be a better solution.

Gordin commented on 2011-01-24 00:09

OK just noticed that you changed your package... I will include adb and aapt now in this package and remove the android-apktool dependency... For the same reason I gave in my last comment.

Gordin commented on 2011-01-24 00:00

@TamCore they're not, do a "pacman -Ql android-sdk" with the latest android-sdk version ^^ Google removed the tools from the initial install.

I know that you can get adb and aapt with android-sdk by using it's update-function manually after installing but until there's a package that provides adb and aapt right away (that is, after installing the package, it's there) I will keep the package this way

TamCore commented on 2011-01-23 23:45

http://aur.pastebin.com/k7jtxGVM
- binaries removed
- changed dependency from android-apktool to android-sdk
- md5sums changed

aapt and adb are available in /opt/android-sdk/platform-tools.

Gordin commented on 2011-01-21 09:24

OK this time I think I really fixed it 0o

vnoel commented on 2011-01-21 07:24

Hi, same here, please update PKGBUILD again :)

wilberfan commented on 2011-01-21 04:54

All hail zlowly! Making the change he suggested in PKGBUILD made all the difference in getting it to install. (After an hour of trying!)

Thank you, Good Sir!

zlowly commented on 2011-01-21 02:49

in PKGBUILD
_srcdir="${srcdir}/QtADB_${pkgver}_linux${_architecture}_with_binaries"

should be put after

[ "$CARCH" = 'x86_64' ] && _architecture=('64')
[ "$CARCH" = 'i686' ] && _architecture=('32')

Gordin commented on 2011-01-20 20:52

fixed :)

Anonymous comment on 2011-01-20 20:45

Does not build with 64 bit. This patch resolves it:

14d13
< _srcdir="${srcdir}/QtADB_${pkgver}_linux32_with_binaries"
17a17,18
>
> _srcdir="${srcdir}/QtADB_${pkgver}_linux${_architecture}_with_binaries"

Gordin commented on 2011-01-20 00:23

Package was orphaned so I took it :)

I removed aapt from this package and made it depend on apktool instead

zlowly commented on 2010-12-16 01:23

It confict with apktool.
Maybe you can put /usr/bin/adb And /usr/bin/aapt somewhere else and make some different name symbolic links?

TomHetmer commented on 2010-10-17 14:02

@TamCore Done, sorry for that.

TamCore commented on 2010-10-17 13:48

Please change i386 to i686.